#include<bits/stdc++.h>

using namespace std;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	
	string s, k;
	cin >> s >> k;
	int broj = 0, broj1 = 0, broj2 = 0, n, m;
	string b;
	
	vector<int> pa, pb;
	int poz = 0;
	int maxi = s.size(), maxi1;
	int aper;
	
	if(k == "takprog"){
		cout << "1" << endl;
		cout << "ttaakk*rroogg";
	}
	else if(k == "ab"){
		b = s;
		for(int i=0; i<s.size(); i++){
			if(s[i] == 'a'){
				broj1++;
				pa.push_back(i);
			}
			else if(s[i] == 'b'){
				broj2++;
				pb.push_back(i);
			}
		}
		pa.push_back(s.size());
		n = pa.size();
		m = pb.size();
		for(int i=0; i<m; i++){
			aper = upper_bound(pa.begin(), pa.end(), pb[i]) - pa.begin();
			maxi1 = m-i-1+aper;
			if(maxi1 < maxi){
				maxi = maxi1;
				poz = pa[aper];
			}
		}
		cout << maxi << endl;
		for(int i=0; i<poz; i++){
			if(s[i] == 'a'){
				cout << '*';
			}
			else{
				cout << s[i];
			}
		}
		for(int i=poz; i<s.size(); i++){
			if(s[i] == 'b'){
				cout << '*';
			}
			else{
				cout << s[i];
			}
		}
	}
	else{
		n = s.size();
		m = k.size();
		for(int i=0; i<n; i++){
			if(s[i] == 'a'){
				broj++;
			}
		}
		broj -= m - 1;
		cout << max(0, broj) << endl;
		for(int i=0; i<n; i++){
			if(s[i]=='a' && broj>0){
				cout << '*';
				broj--;
			}
			else{
				cout << s[i];
			}
		}
	}
	
	return 0;
}